# $Revision: 1.16 $, $Date: 2006/07/26 18:25:26 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Chart
%define		pnam	Graph
Summary:	Chart::Graph - Perl extension for a front-end to gnuplot, XRT, and Xmgrace
Summary(pl):	Chart::Graph - rozszerzenie Perla o interfejs do gnuplota, XRT i Xmgrace
Name:		perl-Chart-Graph
Version:	3.2
Release:	1
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	308394f5e2fd06d0aa52d2a9c6b72a44
URL:		http://search.cpan.org/dist/Chart-Graph/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	XFree86-Xvfb
BuildRequires:	gnuplot
BuildRequires:	grace
%endif
Provides:	perl(Chart::Graph::Xmgrace::Axis_Options)
Provides:	perl(Chart::Graph::Xmgrace::Dataset_Options)
Provides:	perl(Chart::Graph::Xmgrace::Graph_Options)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Base_Option)'

%description
Graph.pm is a wrapper module that allows easy generation of graphs
within Perl. Currently Graph.pm supports three graphing packages,
gnuplot, XRT, and Xmgrace.

%description -l pl
Graph.pm to modu obudowujcy pozwalajcy na atwe generowanie
wykresw z poziomu Perla. Aktualnie obsuguje trzy pakiety do
wykresw: gnuplot, XRT i Xmgrace.

%prep
%setup -q -n Chart-Graph-%{version}

%build
echo gnuplot xmgrace | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

# tests disabled by default as they require GUI
%if %{with tests}
PATH="/usr/X11R6/bin:$PATH" %{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* TODO doc/*
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Chart-Graph.spec,v $
Revision 1.16  2006/07/26 18:25:26  glen
- 3.2, generic URL

Revision 1.15  2004/11/03 22:30:09  paladine
- formatting

Revision 1.14  2004/10/24 13:57:41  paladine
- spelling fix

Revision 1.13  2004/05/07 01:22:53  ankry
- rel. 5

Revision 1.12  2004/05/06 18:09:20  ankry
- fixed perl-devel BR

Revision 1.11  2004/03/13 23:09:14  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.10  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.9  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.8  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/18 15:27:51  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/16 08:17:53  ankry
- disable tests by default (GUI required)
- added Provides/_noautoreq to workaround rpm-perlprov problems
- release 3

Revision 1.2  2002/09/10 19:58:32  qboosh
- pl description, release 2

Revision 1.1  2002/09/04 08:44:06  radek
- new; should work, but untested
  STBR
